summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJesse Spangenberger2015-06-13 22:16:46 -0400
committerJesse Spangenberger2015-06-13 22:16:46 -0400
commit23e9270d19a1f31ee9cfa7d5fb7926ff2450bf16 (patch)
treee6b4be7545cdde34e610ac44d2c46a4d1077875f
downloadaur-plymouth-legacy.tar.gz
Inital commit
-rw-r--r--.SRCINFO50
-rw-r--r--PKGBUILD110
-rw-r--r--arch-logo.pngbin0 -> 46233 bytes
-rw-r--r--gdm-plymouth.service15
-rw-r--r--kdm-plymouth.service13
-rw-r--r--lightdm-plymouth.service13
-rw-r--r--lxdm-plymouth.service12
-rw-r--r--plymouth-quit.service.in.patch14
-rw-r--r--plymouth-set-default-theme.in.patch15
-rw-r--r--plymouth-update-initrd.patch9
-rw-r--r--plymouth.encrypt_hook134
-rw-r--r--plymouth.encrypt_install49
-rw-r--r--plymouth.initcpio_hook16
-rw-r--r--plymouth.initcpio_install60
-rw-r--r--slim-plymouth.service11
15 files changed, 521 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..113200da83f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,50 @@
+pkgbase = plymouth-legacy
+ pkgdesc = A graphical boot splash screen with kernel mode-setting support. Legacy version since v9 is currently broken.
+ pkgver = 0.8.8
+ pkgrel = 4
+ url = http://www.freedesktop.org/wiki/Software/Plymouth/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = docbook-xsl
+ depends = libdrm
+ depends = pango
+ depends = systemd
+ optdepends = ttf-dejavu
+ provides = plymouth
+ conflicts = plymouth
+ conflicts = plymouth-git
+ options = !libtool
+ options = !emptydirs
+ backup = etc/plymouth/plymouthd.conf
+ source = http://www.freedesktop.org/software/plymouth/releases/plymouth-0.8.8.tar.bz2
+ source = arch-logo.png
+ source = plymouth.encrypt_hook
+ source = plymouth.encrypt_install
+ source = gdm-plymouth.service
+ source = kdm-plymouth.service
+ source = lxdm-plymouth.service
+ source = lightdm-plymouth.service
+ source = slim-plymouth.service
+ source = plymouth.initcpio_hook
+ source = plymouth.initcpio_install
+ source = plymouth-quit.service.in.patch
+ source = plymouth-set-default-theme.in.patch
+ source = plymouth-update-initrd.patch
+ md5sums = 38f5e613e5ab17806b950cee2d0d0d4e
+ md5sums = 65fa2763d5c9bb9f80973ea5e6e3db3e
+ md5sums = fbdd5d04e3089a214b9056357434df86
+ md5sums = 65eb269910f1b81e3f0970af456394ca
+ md5sums = 043410ebf89488602d4e5457f147e48b
+ md5sums = dcacff05835053242f52b9e375248ec3
+ md5sums = 22130f7e6b20d2a43dbed924de75180b
+ md5sums = 870ea3e63c6989e2badf79d1fbafa914
+ md5sums = fb2eb948e2198cfb54cc2b710a05ee61
+ md5sums = 07e248948955a74885db7703c742a49d
+ md5sums = a6dca3d57fd38b875d0520ec033dbf66
+ md5sums = 165a39dbedcc6e123c8ca05d5b4b2e25
+ md5sums = f79edbbb30c71b0dbcd102c7dd31660b
+ md5sums = 2d29644f1a0fc814e8566a5548014cca
+
+pkgname = plymouth-legacy
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1e9c35c9f7b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,110 @@
+#
+# Maintainer: Jesse Spangenberger <azulephoenix@gmail.com>
+# Contributor: Padfoot <padfoot@exemail.com.au>
+#
+
+pkgname=plymouth-legacy
+_pkgname=plymouth
+pkgver=0.8.8
+pkgrel=4
+pkgdesc="A graphical boot splash screen with kernel mode-setting
+support. Legacy version since v9 is currently broken."
+url="http://www.freedesktop.org/wiki/Software/Plymouth/"
+
+arch=('i686' 'x86_64')
+license=('GPL')
+
+depends=('libdrm' 'pango' 'systemd')
+makedepends=('docbook-xsl')
+optdepends=('ttf-dejavu')
+
+options=('!libtool' '!emptydirs')
+
+provides=('plymouth')
+conflicts=('plymouth' 'plymouth-git')
+backup=('etc/plymouth/plymouthd.conf')
+
+source=("http://www.freedesktop.org/software/${_pkgname}/releases/${_pkgname}-${pkgver}.tar.bz2"
+ 'arch-logo.png'
+ 'plymouth.encrypt_hook'
+ 'plymouth.encrypt_install'
+ 'gdm-plymouth.service'
+ 'kdm-plymouth.service'
+ 'lxdm-plymouth.service'
+ 'lightdm-plymouth.service'
+ 'slim-plymouth.service'
+ 'plymouth.initcpio_hook'
+ 'plymouth.initcpio_install'
+ 'plymouth-quit.service.in.patch'
+ 'plymouth-set-default-theme.in.patch'
+ 'plymouth-update-initrd.patch')
+
+md5sums=('38f5e613e5ab17806b950cee2d0d0d4e'
+ '65fa2763d5c9bb9f80973ea5e6e3db3e'
+ 'fbdd5d04e3089a214b9056357434df86'
+ '65eb269910f1b81e3f0970af456394ca'
+ '043410ebf89488602d4e5457f147e48b'
+ 'dcacff05835053242f52b9e375248ec3'
+ '22130f7e6b20d2a43dbed924de75180b'
+ '870ea3e63c6989e2badf79d1fbafa914'
+ 'fb2eb948e2198cfb54cc2b710a05ee61'
+ '07e248948955a74885db7703c742a49d'
+ 'a6dca3d57fd38b875d0520ec033dbf66'
+ '165a39dbedcc6e123c8ca05d5b4b2e25'
+ 'f79edbbb30c71b0dbcd102c7dd31660b'
+ '2d29644f1a0fc814e8566a5548014cca')
+
+prepare() {
+ cd "$srcdir"/${_pkgname}-${pkgver}
+
+ patch -p1 -i $srcdir/plymouth-set-default-theme.in.patch
+ patch -p1 -i $srcdir/plymouth-update-initrd.patch
+ patch -p1 -i $srcdir/plymouth-quit.service.in.patch
+
+ sed -i 's:\(SYSTEMD_UNIT_DIR=\):\1/usr:' configure
+}
+
+build() {
+ cd "$srcdir"/${_pkgname}-${pkgver}
+
+ LDFLAGS="$LDFLAGS -ludev" ./configure --prefix=/usr \
+ --exec-prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib \
+ --libexecdir=/usr/lib \
+ --sbindir=/usr/bin \
+ --enable-systemd-integration \
+ --enable-drm \
+ --enable-tracing \
+ --enable-pango \
+ --enable-gtk=no \
+ --with-release-file=/etc/os-release \
+ --with-logo=/usr/share/plymouth/arch-logo.png \
+ --with-background-color=0x000000 \
+ --with-background-start-color-stop=0x000000 \
+ --with-background-end-color-stop=0x4D4D4D \
+ --without-rhgb-compat-link \
+ --without-system-root-install
+
+ make
+}
+
+package() {
+ cd "$srcdir"/${_pkgname}-${pkgver}
+
+ make DESTDIR="$pkgdir" install
+
+ install -Dm644 "$srcdir/arch-logo.png" "$pkgdir/usr/share/plymouth/arch-logo.png"
+ install -Dm644 "$srcdir/plymouth.encrypt_hook" "$pkgdir/usr/lib/initcpio/hooks/plymouth-encrypt"
+ install -Dm644 "$srcdir/plymouth.encrypt_install" "$pkgdir/usr/lib/initcpio/install/plymouth-encrypt"
+ install -Dm644 "$srcdir/plymouth.initcpio_hook" "$pkgdir/usr/lib/initcpio/hooks/plymouth"
+ install -Dm644 "$srcdir/plymouth.initcpio_install" "$pkgdir/usr/lib/initcpio/install/plymouth"
+
+for i in {gdm,kdm,lxdm,slim,lightdm}-plymouth.service; do
+ install -Dm644 "$srcdir/$i" "$pkgdir/usr/lib/systemd/system/$i"
+done
+
+cp "$pkgdir/usr/share/plymouth/plymouthd.defaults" "$pkgdir/etc/plymouth/plymouthd.conf"
+
+}
diff --git a/arch-logo.png b/arch-logo.png
new file mode 100644
index 00000000000..9f8446bff73
--- /dev/null
+++ b/arch-logo.png
Binary files differ
diff --git a/gdm-plymouth.service b/gdm-plymouth.service
new file mode 100644
index 00000000000..1685110fd29
--- /dev/null
+++ b/gdm-plymouth.service
@@ -0,0 +1,15 @@
+[Unit]
+Description=GNOME Display Manager
+Conflicts=getty@tty1.service plymouth-quit.service
+After=systemd-user-sessions.service getty@tty1.service plymouth-quit.service
+
+[Service]
+ExecStart=/usr/bin/gdm
+Restart=always
+IgnoreSIGPIPE=no
+BusName=org.gnome.DisplayManager
+StandardOutput=syslog
+StandardError=inherit
+
+[Install]
+Alias=display-manager.service \ No newline at end of file
diff --git a/kdm-plymouth.service b/kdm-plymouth.service
new file mode 100644
index 00000000000..5292ba6d7da
--- /dev/null
+++ b/kdm-plymouth.service
@@ -0,0 +1,13 @@
+[Unit]
+Description=K Display Manager
+Conflicts=getty@tty1.service plymouth-quit.service
+After=systemd-user-sessions.service getty@tty1.service plymouth-quit.service
+
+[Service]
+ExecStart=/usr/bin/kdm -nodaemon
+Restart=always
+IgnoreSIGPIPE=no
+StandardOutput=syslog
+
+[Install]
+Alias=display-manager.service
diff --git a/lightdm-plymouth.service b/lightdm-plymouth.service
new file mode 100644
index 00000000000..a845498fddf
--- /dev/null
+++ b/lightdm-plymouth.service
@@ -0,0 +1,13 @@
+[Unit]
+Description=Light Display Manager
+Conflicts=getty@tty1.service plymouth-quit.service
+After=systemd-user-sessions.service getty@tty1.service plymouth-quit.service
+
+[Service]
+ExecStart=/usr/bin/lightdm
+Restart=always
+IgnoreSIGPIPE=no
+BusName=org.freedesktop.DisplayManager
+
+[Install]
+Alias=display-manager.service
diff --git a/lxdm-plymouth.service b/lxdm-plymouth.service
new file mode 100644
index 00000000000..bf4a0a800f2
--- /dev/null
+++ b/lxdm-plymouth.service
@@ -0,0 +1,12 @@
+[Unit]
+Description=LXDE Display Manager
+Conflicts=getty@tty1.service plymouth-quit.service
+After=systemd-user-sessions.service getty@tty1.service plymouth-quit.service
+
+[Service]
+ExecStart=/usr/sbin/lxdm
+Restart=always
+IgnoreSIGPIPE=no
+
+[Install]
+Alias=display-manager.service
diff --git a/plymouth-quit.service.in.patch b/plymouth-quit.service.in.patch
new file mode 100644
index 00000000000..ec3435cea42
--- /dev/null
+++ b/plymouth-quit.service.in.patch
@@ -0,0 +1,14 @@
+diff -aur plymouth-0.8.8.src/systemd-units/plymouth-quit.service.in plymouth-0.8.8.patch/systemd-units/plymouth-quit.service.in
+--- plymouth-0.8.8.src/systemd-units/plymouth-quit.service.in 2012-09-27 02:50:53.000000000 +1000
++++ plymouth-0.8.8.patch/systemd-units/plymouth-quit.service.in 2014-02-11 16:36:58.813194805 +1100
+@@ -1,8 +1,9 @@
+ [Unit]
+ Description=Terminate Plymouth Boot Screen
+ After=rc-local.service plymouth-start.service systemd-user-sessions.service
++Before=getty@tty1.service
+
+ [Service]
+-ExecStart=-@PLYMOUTH_CLIENT_DIR@/plymouth quit
++ExecStart=-@PLYMOUTH_CLIENT_DIR@/plymouth quit --retain-splash
+ Type=oneshot
+ TimeoutSec=20
diff --git a/plymouth-set-default-theme.in.patch b/plymouth-set-default-theme.in.patch
new file mode 100644
index 00000000000..808a64474d7
--- /dev/null
+++ b/plymouth-set-default-theme.in.patch
@@ -0,0 +1,15 @@
+diff -aur plymouth-0.8.8.src/scripts/plymouth-set-default-theme.in plymouth-0.8.8.patch/scripts/plymouth-set-default-theme.in
+--- plymouth-0.8.8.src/scripts/plymouth-set-default-theme.in 2012-10-27 02:01:45.000000000 +1100
++++ plymouth-0.8.8.patch/scripts/plymouth-set-default-theme.in 2014-01-26 09:55:34.337189615 +1100
+@@ -173,7 +173,10 @@
+ exit $?
+ fi
+
+-if [ ! -e ${PLYMOUTH_DATADIR}/plymouth/themes/${THEME_NAME}/${THEME_NAME}.plymouth ]; then
++if [ -z ${THEME_NAME} ]; then
++ echo "Please specify a theme name"
++ exit 1
++elif [ ! -e ${PLYMOUTH_DATADIR}/plymouth/themes/${THEME_NAME}/${THEME_NAME}.plymouth ]; then
+ echo "${PLYMOUTH_DATADIR}/plymouth/themes/${THEME_NAME}/${THEME_NAME}.plymouth does not exist" > /dev/stderr
+ exit 1
+ fi
diff --git a/plymouth-update-initrd.patch b/plymouth-update-initrd.patch
new file mode 100644
index 00000000000..b49feaaa53d
--- /dev/null
+++ b/plymouth-update-initrd.patch
@@ -0,0 +1,9 @@
+diff -aur plymouth-0.9.0.src/scripts/plymouth-update-initrd plymouth-0.9.0.patch/scripts/plymouth-update-initrd
+--- plymouth-0.9.0.src/scripts/plymouth-update-initrd 2014-01-16 08:14:47.000000000 +1100
++++ plymouth-0.9.0.patch/scripts/plymouth-update-initrd 2014-05-21 19:04:16.802594001 +1000
+@@ -1,2 +1,4 @@
+ #!/bin/bash
+-mkinitrd -f /boot/initrd-$(uname -r).img $(uname -r)
++find /etc/mkinitcpio.d/ -name \*.preset -a \! -name example.preset | while read p; do
++ mkinitcpio -p $p
++done
diff --git a/plymouth.encrypt_hook b/plymouth.encrypt_hook
new file mode 100644
index 00000000000..963cc06e7b4
--- /dev/null
+++ b/plymouth.encrypt_hook
@@ -0,0 +1,134 @@
+#!/bin/bash
+
+run_hook() {
+ modprobe -a -q dm-crypt >/dev/null 2>&1
+ [ "${quiet}" = "y" ] && CSQUIET=">/dev/null"
+
+ # Get keyfile if specified
+ ckeyfile="/crypto_keyfile.bin"
+ if [ -n "$cryptkey" ]; then
+ IFS=: read ckdev ckarg1 ckarg2 <<EOF
+$cryptkey
+EOF
+
+ if [ "$ckdev" = "rootfs" ]; then
+ ckeyfile=$ckarg1
+ elif resolved=$(resolve_device "${ckdev}" ${rootdelay}); then
+ case ${ckarg1} in
+ *[!0-9]*)
+ # Use a file on the device
+ # ckarg1 is not numeric: ckarg1=filesystem, ckarg2=path
+ mkdir /ckey
+ mount -r -t "$ckarg1" "$resolved" /ckey
+ dd if="/ckey/$ckarg2" of="$ckeyfile" >/dev/null 2>&1
+ umount /ckey
+ ;;
+ *)
+ # Read raw data from the block device
+ # ckarg1 is numeric: ckarg1=offset, ckarg2=length
+ dd if="$resolved" of="$ckeyfile" bs=1 skip="$ckarg1" count="$ckarg2" >/dev/null 2>&1
+ ;;
+ esac
+ fi
+ [ ! -f ${ckeyfile} ] && echo "Keyfile could not be opened. Reverting to passphrase."
+ fi
+
+ if [ -n "${cryptdevice}" ]; then
+ DEPRECATED_CRYPT=0
+ IFS=: read cryptdev cryptname cryptoptions <<EOF
+$cryptdevice
+EOF
+ else
+ DEPRECATED_CRYPT=1
+ cryptdev="${root}"
+ cryptname="root"
+ fi
+
+ warn_deprecated() {
+ echo "The syntax 'root=${root}' where '${root}' is an encrypted volume is deprecated"
+ echo "Use 'cryptdevice=${root}:root root=/dev/mapper/root' instead."
+ }
+
+ for cryptopt in ${cryptoptions//,/ }; do
+ case ${cryptopt} in
+ allow-discards)
+ cryptargs="${cryptargs} --allow-discards"
+ ;;
+ *)
+ echo "Encryption option '${cryptopt}' not known, ignoring." >&2
+ ;;
+ esac
+ done
+
+ if resolved=$(resolve_device "${cryptdev}" ${rootdelay}); then
+ if cryptsetup isLuks ${resolved} >/dev/null 2>&1; then
+ [ ${DEPRECATED_CRYPT} -eq 1 ] && warn_deprecated
+ dopassphrase=1
+ # If keyfile exists, try to use that
+ if [ -f ${ckeyfile} ]; then
+ if eval cryptsetup --key-file ${ckeyfile} luksOpen ${resolved} ${cryptname} ${cryptargs} ${CSQUIET}; then
+ dopassphrase=0
+ else
+ echo "Invalid keyfile. Reverting to passphrase."
+ fi
+ fi
+ # Ask for a passphrase
+ if [ ${dopassphrase} -gt 0 ]; then
+ echo
+ echo "A password is required to access the ${cryptname} volume:"
+ plymouth ask-for-password --prompt="Password for ${cryptname} volume" --dont-pause-progress --number-of-tries=5 --command="/sbin/cryptsetup luksOpen --key-file=- ${cryptdev} ${cryptname} ${cryptargs} ${CSQUIET}"
+ sleep 2
+ fi
+ if [ -e "/dev/mapper/${cryptname}" ]; then
+ if [ ${DEPRECATED_CRYPT} -eq 1 ]; then
+ export root="/dev/mapper/root"
+ fi
+ else
+ err "Password succeeded, but ${cryptname} creation failed, aborting..."
+ exit 1
+ fi
+ elif [ -n "${crypto}" ]; then
+ [ ${DEPRECATED_CRYPT} -eq 1 ] && warn_deprecated
+ msg "Non-LUKS encrypted device found..."
+ if echo "$crypto" | awk -F: '{ exit(NF == 5) }'; then
+ err "Verify parameter format: crypto=hash:cipher:keysize:offset:skip"
+ err "Non-LUKS decryption not attempted..."
+ return 1
+ fi
+ exe="cryptsetup create $cryptname $resolved $cryptargs"
+ IFS=: read c_hash c_cipher c_keysize c_offset c_skip <<EOF
+$crypto
+EOF
+ [ -n "$c_hash" ] && exe="$exe --hash '$c_hash'"
+ [ -n "$c_cipher" ] && exe="$exe --cipher '$c_cipher'"
+ [ -n "$c_keysize" ] && exe="$exe --key-size '$c_keysize'"
+ [ -n "$c_offset" ] && exe="$exe --offset '$c_offset'"
+ [ -n "$c_skip" ] && exe="$exe --skip '$c_skip'"
+ if [ -f "$ckeyfile" ]; then
+ exe="$exe --key-file $ckeyfile"
+ else
+ exe="$exe --verify-passphrase"
+ echo ""
+ echo "A password is required to access the ${cryptname} volume:"
+ fi
+ eval "$exe $CSQUIET"
+
+ if [ $? -ne 0 ]; then
+ err "Non-LUKS device decryption failed. verify format: "
+ err " crypto=hash:cipher:keysize:offset:skip"
+ exit 1
+ fi
+ if [ -e "/dev/mapper/${cryptname}" ]; then
+ if [ ${DEPRECATED_CRYPT} -eq 1 ]; then
+ export root="/dev/mapper/root"
+ fi
+ else
+ err "Password succeeded, but ${cryptname} creation failed, aborting..."
+ exit 1
+ fi
+ else
+ err "Failed to open encryption mapping: The device ${cryptdev} is not a LUKS volume and the crypto= paramater was not specified."
+ fi
+ fi
+ rm -f ${ckeyfile}
+}
diff --git a/plymouth.encrypt_install b/plymouth.encrypt_install
new file mode 100644
index 00000000000..5258a0b2d50
--- /dev/null
+++ b/plymouth.encrypt_install
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+build() {
+ local mod
+
+ add_module dm-crypt
+ if [[ $CRYPTO_MODULES ]]; then
+ for mod in $CRYPTO_MODULES; do
+ add_module "$mod"
+ done
+ else
+ add_all_modules '/crypto/'
+ fi
+
+ add_binary "cryptsetup"
+ add_binary "dmsetup"
+ add_file "/usr/lib/udev/rules.d/10-dm.rules"
+ add_file "/usr/lib/udev/rules.d/13-dm-disk.rules"
+ add_file "/usr/lib/udev/rules.d/95-dm-notify.rules"
+ add_file "/usr/lib/initcpio/udev/11-dm-initramfs.rules" "/usr/lib/udev/rules.d/11-dm-initramfs.rules"
+ add_binary "/usr/lib/plymouth/label.so"
+ add_binary "/usr/lib/plymouth/text.so"
+ add_file "/usr/share/fonts/TTF/DejaVuSans.ttf"
+ add_file "/etc/fonts/fonts.conf"
+ add_file "/etc/fonts/conf.d/60-latin.conf"
+
+ add_runscript
+}
+
+help() {
+ cat <<HELPEOF
+This hook allows for an encrypted root device. Users should specify the device
+to be unlocked using 'cryptdevice=device:dmname' on the kernel command line,
+where 'device' is the path to the raw device, and 'dmname' is the name given to
+the device after unlocking, and will be available as /dev/mapper/dmname.
+
+For unlocking via keyfile, 'cryptkey=device:fstype:path' should be specified on
+the kernel cmdline, where 'device' represents the raw block device where the key
+exists, 'fstype' is the filesystem type of 'device' (or auto), and 'path' is
+the absolute path of the keyfile within the device.
+
+Without specifying a keyfile, you will be prompted for the password at runtime.
+This means you must have a keyboard available to input it, and you may need
+the keymap hook as well to ensure that the keyboard is using the layout you
+expect.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:
diff --git a/plymouth.initcpio_hook b/plymouth.initcpio_hook
new file mode 100644
index 00000000000..9226fe12f76
--- /dev/null
+++ b/plymouth.initcpio_hook
@@ -0,0 +1,16 @@
+run_earlyhook(){
+ /usr/bin/mknod /dev/fb c 29 &>/dev/null
+ /usr/bin/mkdir -p /dev/pts
+ /usr/bin/mount -t devpts -o noexec,nosuid,gid=5,mode=0620 devpts /dev/pts || true
+ /usr/bin/plymouthd --mode=boot --pid-file=/var/run/plymouth/pid --attach-to-session
+}
+
+run_hook() {
+ /usr/bin/plymouth --show-splash
+}
+
+run_latehook(){
+ /usr/bin/plymouth update-root-fs --new-root-dir=/new_root
+}
+
+# vim: set ft=sh: \ No newline at end of file
diff --git a/plymouth.initcpio_install b/plymouth.initcpio_install
new file mode 100644
index 00000000000..40838ac4f8a
--- /dev/null
+++ b/plymouth.initcpio_install
@@ -0,0 +1,60 @@
+build() {
+ add_dir /dev/pts
+ add_dir /usr/share/plymouth/themes
+ add_dir /var/run/plymouth
+
+ DATADIR="/usr/share"
+ PLYMOUTH_LOGO_FILE="${DATADIR}/plymouth/arch-logo.png"
+ PLYMOUTH_THEME_NAME="$(/usr/bin/plymouth-set-default-theme)"
+ PLYMOUTH_MODULE_NAME="$(grep "ModuleName *= *" ${DATADIR}/plymouth/themes/${PLYMOUTH_THEME_NAME}/${PLYMOUTH_THEME_NAME}.plymouth | sed 's/ModuleName *= *//')"
+ PLYMOUTH_PLUGIN_PATH="$(plymouth --get-splash-plugin-path)"
+
+ add_binary /usr/bin/plymouthd
+ add_binary /usr/bin/plymouth
+
+ add_file ${DATADIR}/plymouth/themes/text/text.plymouth
+ add_binary ${PLYMOUTH_PLUGIN_PATH}/text.so
+ add_file ${DATADIR}/plymouth/themes/details/details.plymouth
+ add_binary ${PLYMOUTH_PLUGIN_PATH}/details.so
+
+ add_file "${PLYMOUTH_LOGO_FILE}"
+ add_file /etc/os-release
+ add_file /etc/plymouth/plymouthd.conf
+ add_file ${DATADIR}/plymouth/plymouthd.defaults
+
+ if [ ! -f ${PLYMOUTH_PLUGIN_PATH}/${PLYMOUTH_MODULE_NAME}.so ]; then
+ echo "The default plymouth plugin (${PLYMOUTH_MODULE_NAME}) doesn't exist" > /dev/stderr
+ exit 1
+ fi
+
+ add_binary ${PLYMOUTH_PLUGIN_PATH}/${PLYMOUTH_MODULE_NAME}.so
+
+ add_binary ${PLYMOUTH_PLUGIN_PATH}/renderers/drm.so
+ add_binary ${PLYMOUTH_PLUGIN_PATH}/renderers/frame-buffer.so
+
+ if [ -d ${DATADIR}/plymouth/themes/${PLYMOUTH_THEME_NAME} ]; then
+ for x in ${DATADIR}/plymouth/themes/${PLYMOUTH_THEME_NAME}/* ; do
+ [ ! -f "$x" ] && break
+ add_file $x
+ done
+ fi
+
+ add_file /usr/lib/udev/rules.d/70-uaccess.rules
+ add_file /usr/lib/udev/rules.d/71-seat.rules
+
+ # suppress a warning in glib (which the label control uses)
+ # about uid 0 by building a dummy NSS stack (LP #649917)
+ add_file /etc/passwd
+ add_file /etc/nsswitch.conf
+ add_binary "$(readlink -e /lib/libnss_files.so.2)"
+ add_file /lib/libnss_files.so.2
+
+ add_runscript
+}
+
+help() {
+ echo "This hook includes plymouth in the initramfs image."
+}
+
+# vim: set ft=sh:
+#EOF
diff --git a/slim-plymouth.service b/slim-plymouth.service
new file mode 100644
index 00000000000..df3a1079c67
--- /dev/null
+++ b/slim-plymouth.service
@@ -0,0 +1,11 @@
+[Unit]
+Description=SLiM Simple Login Manager
+Conflicts=getty@tty1.service plymouth-quit.service
+After=systemd-user-sessions.service getty@tty1.service plymouth-quit.service
+
+[Service]
+ExecStart=/usr/bin/slim -nodaemon
+StandardOutput=syslog
+
+[Install]
+Alias=display-manager.service